ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.114 by ayin, Wed Oct 31 12:00:52 2007 UTC vs.
Revision 1.121 by ayin, Tue Dec 11 00:01:28 2007 UTC

658host_cpu 658host_cpu
659host_vendor 659host_vendor
660host_os 660host_os
661VERSION 661VERSION
662DATE 662DATE
663LSMDATE
664LIBVERSION
665CC 663CC
666CFLAGS 664CFLAGS
667LDFLAGS 665LDFLAGS
668CPPFLAGS 666CPPFLAGS
669ac_ct_CC 667ac_ct_CC
677INSTALL_SCRIPT 675INSTALL_SCRIPT
678INSTALL_DATA 676INSTALL_DATA
679GREP 677GREP
680EGREP 678EGREP
681LINKER 679LINKER
682INSTALL_LIBRXVT
683RXVTNAME 680RXVTNAME
681CXXCPP
684TIC 682TIC
685XMKMF 683XMKMF
686CXXCPP
687X_CFLAGS 684X_CFLAGS
688X_PRE_LIBS 685X_PRE_LIBS
689X_LIBS 686X_LIBS
690X_EXTRA_LIBS 687X_EXTRA_LIBS
691afterimage_config 688afterimage_config
731CPPFLAGS 728CPPFLAGS
732CXX 729CXX
733CXXFLAGS 730CXXFLAGS
734CCC 731CCC
735CPP 732CPP
736XMKMF
737CXXCPP' 733CXXCPP
734XMKMF'
738 735
739 736
740# Initialize some variables set by options. 737# Initialize some variables set by options.
741ac_init_help= 738ac_init_help=
742ac_init_version=false 739ac_init_version=false
1316Optional Features: 1313Optional Features:
1317 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1314 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1318 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1315 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1319 --enable-everything enable standard non-multichoice features 1316 --enable-everything enable standard non-multichoice features
1320 NOTE: this option is order dependent 1317 NOTE: this option is order dependent
1321 NOTE: automatically enabled with --enable-shared
1322 --enable-warnings turn on g++ warnings 1318 --enable-warnings turn on g++ warnings
1323 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1319 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1324 --enable-combining enable composition of base and combining characters 1320 --enable-combining enable composition of base and combining characters
1325 --enable-xft enable xft support on systems that have it 1321 --enable-xft enable xft support on systems that have it
1326 --enable-font-styles enable bold and italic support 1322 --enable-font-styles enable bold and italic support
1328 --enable-transparency enable transparent backgrounds 1324 --enable-transparency enable transparent backgrounds
1329 --enable-fading enable colors fading when off focus 1325 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1326 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1327 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1328 --enable-xterm-scroll enable Xterm style scrollbar
1329 --enable-plain-scroll enable plain style scrollbar
1333 --enable-perl enable embedded perl interpreter 1330 --enable-perl enable embedded perl interpreter
1334 --enable-plain-scroll enable plain style scrollbar
1335 --enable-xim XIM (X Input Method) protocol support 1331 --enable-xim XIM (X Input Method) protocol support
1336 --disable-backspace-key disable handling of the backspace key 1332 --disable-backspace-key disable handling of the backspace key
1337 --disable-delete-key disable handling of the delete key 1333 --disable-delete-key disable handling of the delete key
1338 --disable-resources disable all resource checking 1334 --disable-resources disable all resource checking
1339 --enable-8bitctrls enable 8 bit control sequences (not recommended) 1335 --enable-8bitctrls enable 8 bit control sequences (not recommended)
1373 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if 1369 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
1374 you have headers in a nonstandard directory <include dir> 1370 you have headers in a nonstandard directory <include dir>
1375 CXX C++ compiler command 1371 CXX C++ compiler command
1376 CXXFLAGS C++ compiler flags 1372 CXXFLAGS C++ compiler flags
1377 CPP C preprocessor 1373 CPP C preprocessor
1374 CXXCPP C++ preprocessor
1378 XMKMF Path to xmkmf, Makefile generator for X Window System 1375 XMKMF Path to xmkmf, Makefile generator for X Window System
1379 CXXCPP C++ preprocessor
1380 1376
1381Use these variables to override the choices made by `configure' or to help 1377Use these variables to override the choices made by `configure' or to help
1382it to find libraries and programs with nonstandard names/locations. 1378it to find libraries and programs with nonstandard names/locations.
1383 1379
1384_ACEOF 1380_ACEOF
1920 1916
1921 1917
1922 1918
1923VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1919VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1924DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1920DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1921
1925echo "" 1922echo ""
1926echo "configuring for rxvt $VERSION" 1923echo "configuring for rxvt $VERSION"
1927echo "" 1924echo ""
1928 1925
1929orig_CXXFLAGS="$CXXFLAGS" 1926orig_CXXFLAGS="$CXXFLAGS"
1930
1931 1927
1932ac_ext=c 1928ac_ext=c
1933ac_cpp='$CPP $CPPFLAGS' 1929ac_cpp='$CPP $CPPFLAGS'
1934ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 1930ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1935ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 1931ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3714echo "${ECHO_T}no" >&6; } 3710echo "${ECHO_T}no" >&6; }
3715fi 3711fi
3716rm -f conftest* 3712rm -f conftest*
3717 3713
3718 3714
3715
3716cat >>confdefs.h <<\_ACEOF
3717#define _GNU_SOURCE 1
3718_ACEOF
3719
3720
3719{ echo "$as_me:$LINENO: checking for library containing strerror" >&5 3721{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
3720echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; } 3722echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
3721if test "${ac_cv_search_strerror+set}" = set; then 3723if test "${ac_cv_search_strerror+set}" = set; then
3722 echo $ECHO_N "(cached) $ECHO_C" >&6 3724 echo $ECHO_N "(cached) $ECHO_C" >&6
3723else 3725else
3870LINKER=$LINKER 3872LINKER=$LINKER
3871 3873
3872 3874
3873if test -z "$orig_CXXFLAGS"; then 3875if test -z "$orig_CXXFLAGS"; then
3874 if test x$GCC = xyes && test "x$GXX" = xyes; then 3876 if test x$GCC = xyes && test "x$GXX" = xyes; then
3875 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3877 CXXFLAGS="-g -O3 -fno-rtti -fvisibility-inlines-hidden -fno-threadsafe-statics -fno-enforce-eh-specs"
3876 cat >conftest.$ac_ext <<_ACEOF 3878 cat >conftest.$ac_ext <<_ACEOF
3877/* confdefs.h. */ 3879/* confdefs.h. */
3878_ACEOF 3880_ACEOF
3879cat confdefs.h >>conftest.$ac_ext 3881cat confdefs.h >>conftest.$ac_ext
3880cat >>conftest.$ac_ext <<_ACEOF 3882cat >>conftest.$ac_ext <<_ACEOF
3918 CXXFLAGS="-O" 3920 CXXFLAGS="-O"
3919 fi 3921 fi
3920 CFLAGS="$CXXFLAGS" 3922 CFLAGS="$CXXFLAGS"
3921fi 3923fi
3922 3924
3923
3924cat >>confdefs.h <<\_ACEOF
3925#define _GNU_SOURCE 1
3926_ACEOF
3927
3928
3929case $host in 3925case $host in
3930 *-*-solaris* ) 3926 *-*-solaris* )
3931 3927
3932cat >>confdefs.h <<\_ACEOF 3928cat >>confdefs.h <<\_ACEOF
3933#define _XOPEN_SOURCE 500 3929#define _XOPEN_SOURCE 500
3934_ACEOF 3930_ACEOF
3935 3931
3936 ;; 3932 ;;
3937esac 3933esac
3938
3939 3934
3940{ echo "$as_me:$LINENO: checking for setlocale" >&5 3935{ echo "$as_me:$LINENO: checking for setlocale" >&5
3941echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; } 3936echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; }
3942if test "${ac_cv_func_setlocale+set}" = set; then 3937if test "${ac_cv_func_setlocale+set}" = set; then
3943 echo $ECHO_N "(cached) $ECHO_C" >&6 3938 echo $ECHO_N "(cached) $ECHO_C" >&6
4416support_iso14755=yes 4411support_iso14755=yes
4417support_styles=yes 4412support_styles=yes
4418support_perl=yes 4413support_perl=yes
4419codesets=all 4414codesets=all
4420 4415
4421
4422if test "x$enable_shared" = xyes; then
4423
4424cat >>confdefs.h <<\_ACEOF
4425#define LIBRXVT 1
4426_ACEOF
4427
4428 INSTALL_LIBRXVT=yes
4429fi
4430 4416
4431 4417
4432# Check whether --enable-everything was given. 4418# Check whether --enable-everything was given.
4433if test "${enable_everything+set}" = set; then 4419if test "${enable_everything+set}" = set; then
4434 enableval=$enable_everything; 4420 enableval=$enable_everything;
4640 support_scroll_xterm=$enableval 4626 support_scroll_xterm=$enableval
4641 fi 4627 fi
4642fi 4628fi
4643 4629
4644 4630
4631# Check whether --enable-plain-scroll was given.
4632if test "${enable_plain_scroll+set}" = set; then
4633 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4634 support_scroll_plain=$enableval
4635 fi
4636fi
4637
4638
4645# Check whether --enable-perl was given. 4639# Check whether --enable-perl was given.
4646if test "${enable_perl+set}" = set; then 4640if test "${enable_perl+set}" = set; then
4647 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then 4641 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then
4648 support_perl=$enableval 4642 support_perl=$enableval
4649 fi
4650fi
4651
4652
4653# Check whether --enable-plain-scroll was given.
4654if test "${enable_plain_scroll+set}" = set; then
4655 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4656 support_scroll_plain=$enableval
4657 fi 4643 fi
4658fi 4644fi
4659 4645
4660 4646
4661 4647
4888#define RXVT_TERMINFO "$withval" 4874#define RXVT_TERMINFO "$withval"
4889_ACEOF 4875_ACEOF
4890 terminfo="$withval" 4876 terminfo="$withval"
4891 fi 4877 fi
4892fi 4878fi
4879
4880
4881
4882LIBEV_M4_AVOID_LIBRT=1
4883
4884ac_ext=cpp
4885ac_cpp='$CXXCPP $CPPFLAGS'
4886ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4887ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4888ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4889{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4890echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
4891if test -z "$CXXCPP"; then
4892 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4893 echo $ECHO_N "(cached) $ECHO_C" >&6
4894else
4895 # Double quotes because CXXCPP needs to be expanded
4896 for CXXCPP in "$CXX -E" "/lib/cpp"
4897 do
4898 ac_preproc_ok=false
4899for ac_cxx_preproc_warn_flag in '' yes
4900do
4901 # Use a header file that comes with gcc, so configuring glibc
4902 # with a fresh cross-compiler works.
4903 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4904 # <limits.h> exists even on freestanding compilers.
4905 # On the NeXT, cc -E runs the code through the compiler's parser,
4906 # not just through cpp. "Syntax error" is here to catch this case.
4907 cat >conftest.$ac_ext <<_ACEOF
4908/* confdefs.h. */
4909_ACEOF
4910cat confdefs.h >>conftest.$ac_ext
4911cat >>conftest.$ac_ext <<_ACEOF
4912/* end confdefs.h. */
4913#ifdef __STDC__
4914# include <limits.h>
4915#else
4916# include <assert.h>
4917#endif
4918 Syntax error
4919_ACEOF
4920if { (ac_try="$ac_cpp conftest.$ac_ext"
4921case "(($ac_try" in
4922 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4923 *) ac_try_echo=$ac_try;;
4924esac
4925eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4926 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4927 ac_status=$?
4928 grep -v '^ *+' conftest.er1 >conftest.err
4929 rm -f conftest.er1
4930 cat conftest.err >&5
4931 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4932 (exit $ac_status); } >/dev/null && {
4933 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4934 test ! -s conftest.err
4935 }; then
4936 :
4937else
4938 echo "$as_me: failed program was:" >&5
4939sed 's/^/| /' conftest.$ac_ext >&5
4940
4941 # Broken: fails on valid input.
4942continue
4943fi
4944
4945rm -f conftest.err conftest.$ac_ext
4946
4947 # OK, works on sane cases. Now check whether nonexistent headers
4948 # can be detected and how.
4949 cat >conftest.$ac_ext <<_ACEOF
4950/* confdefs.h. */
4951_ACEOF
4952cat confdefs.h >>conftest.$ac_ext
4953cat >>conftest.$ac_ext <<_ACEOF
4954/* end confdefs.h. */
4955#include <ac_nonexistent.h>
4956_ACEOF
4957if { (ac_try="$ac_cpp conftest.$ac_ext"
4958case "(($ac_try" in
4959 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4960 *) ac_try_echo=$ac_try;;
4961esac
4962eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4963 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4964 ac_status=$?
4965 grep -v '^ *+' conftest.er1 >conftest.err
4966 rm -f conftest.er1
4967 cat conftest.err >&5
4968 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4969 (exit $ac_status); } >/dev/null && {
4970 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4971 test ! -s conftest.err
4972 }; then
4973 # Broken: success on invalid input.
4974continue
4975else
4976 echo "$as_me: failed program was:" >&5
4977sed 's/^/| /' conftest.$ac_ext >&5
4978
4979 # Passes both tests.
4980ac_preproc_ok=:
4981break
4982fi
4983
4984rm -f conftest.err conftest.$ac_ext
4985
4986done
4987# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
4988rm -f conftest.err conftest.$ac_ext
4989if $ac_preproc_ok; then
4990 break
4991fi
4992
4993 done
4994 ac_cv_prog_CXXCPP=$CXXCPP
4995
4996fi
4997 CXXCPP=$ac_cv_prog_CXXCPP
4998else
4999 ac_cv_prog_CXXCPP=$CXXCPP
5000fi
5001{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
5002echo "${ECHO_T}$CXXCPP" >&6; }
5003ac_preproc_ok=false
5004for ac_cxx_preproc_warn_flag in '' yes
5005do
5006 # Use a header file that comes with gcc, so configuring glibc
5007 # with a fresh cross-compiler works.
5008 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5009 # <limits.h> exists even on freestanding compilers.
5010 # On the NeXT, cc -E runs the code through the compiler's parser,
5011 # not just through cpp. "Syntax error" is here to catch this case.
5012 cat >conftest.$ac_ext <<_ACEOF
5013/* confdefs.h. */
5014_ACEOF
5015cat confdefs.h >>conftest.$ac_ext
5016cat >>conftest.$ac_ext <<_ACEOF
5017/* end confdefs.h. */
5018#ifdef __STDC__
5019# include <limits.h>
5020#else
5021# include <assert.h>
5022#endif
5023 Syntax error
5024_ACEOF
5025if { (ac_try="$ac_cpp conftest.$ac_ext"
5026case "(($ac_try" in
5027 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5028 *) ac_try_echo=$ac_try;;
5029esac
5030eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5031 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5032 ac_status=$?
5033 grep -v '^ *+' conftest.er1 >conftest.err
5034 rm -f conftest.er1
5035 cat conftest.err >&5
5036 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5037 (exit $ac_status); } >/dev/null && {
5038 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5039 test ! -s conftest.err
5040 }; then
5041 :
5042else
5043 echo "$as_me: failed program was:" >&5
5044sed 's/^/| /' conftest.$ac_ext >&5
5045
5046 # Broken: fails on valid input.
5047continue
5048fi
5049
5050rm -f conftest.err conftest.$ac_ext
5051
5052 # OK, works on sane cases. Now check whether nonexistent headers
5053 # can be detected and how.
5054 cat >conftest.$ac_ext <<_ACEOF
5055/* confdefs.h. */
5056_ACEOF
5057cat confdefs.h >>conftest.$ac_ext
5058cat >>conftest.$ac_ext <<_ACEOF
5059/* end confdefs.h. */
5060#include <ac_nonexistent.h>
5061_ACEOF
5062if { (ac_try="$ac_cpp conftest.$ac_ext"
5063case "(($ac_try" in
5064 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5065 *) ac_try_echo=$ac_try;;
5066esac
5067eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5068 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5069 ac_status=$?
5070 grep -v '^ *+' conftest.er1 >conftest.err
5071 rm -f conftest.er1
5072 cat conftest.err >&5
5073 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5074 (exit $ac_status); } >/dev/null && {
5075 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5076 test ! -s conftest.err
5077 }; then
5078 # Broken: success on invalid input.
5079continue
5080else
5081 echo "$as_me: failed program was:" >&5
5082sed 's/^/| /' conftest.$ac_ext >&5
5083
5084 # Passes both tests.
5085ac_preproc_ok=:
5086break
5087fi
5088
5089rm -f conftest.err conftest.$ac_ext
5090
5091done
5092# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5093rm -f conftest.err conftest.$ac_ext
5094if $ac_preproc_ok; then
5095 :
5096else
5097 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5098See \`config.log' for more details." >&5
5099echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5100See \`config.log' for more details." >&2;}
5101 { (exit 1); exit 1; }; }
5102fi
5103
5104ac_ext=cpp
5105ac_cpp='$CXXCPP $CPPFLAGS'
5106ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5107ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5108ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5109
5110
5111{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5112echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
5113if test "${ac_cv_header_stdc+set}" = set; then
5114 echo $ECHO_N "(cached) $ECHO_C" >&6
5115else
5116 cat >conftest.$ac_ext <<_ACEOF
5117/* confdefs.h. */
5118_ACEOF
5119cat confdefs.h >>conftest.$ac_ext
5120cat >>conftest.$ac_ext <<_ACEOF
5121/* end confdefs.h. */
5122#include <stdlib.h>
5123#include <stdarg.h>
5124#include <string.h>
5125#include <float.h>
5126
5127int
5128main ()
5129{
5130
5131 ;
5132 return 0;
5133}
5134_ACEOF
5135rm -f conftest.$ac_objext
5136if { (ac_try="$ac_compile"
5137case "(($ac_try" in
5138 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5139 *) ac_try_echo=$ac_try;;
5140esac
5141eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5142 (eval "$ac_compile") 2>conftest.er1
5143 ac_status=$?
5144 grep -v '^ *+' conftest.er1 >conftest.err
5145 rm -f conftest.er1
5146 cat conftest.err >&5
5147 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5148 (exit $ac_status); } && {
5149 test -z "$ac_cxx_werror_flag" ||
5150 test ! -s conftest.err
5151 } && test -s conftest.$ac_objext; then
5152 ac_cv_header_stdc=yes
5153else
5154 echo "$as_me: failed program was:" >&5
5155sed 's/^/| /' conftest.$ac_ext >&5
5156
5157 ac_cv_header_stdc=no
5158fi
5159
5160rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5161
5162if test $ac_cv_header_stdc = yes; then
5163 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5164 cat >conftest.$ac_ext <<_ACEOF
5165/* confdefs.h. */
5166_ACEOF
5167cat confdefs.h >>conftest.$ac_ext
5168cat >>conftest.$ac_ext <<_ACEOF
5169/* end confdefs.h. */
5170#include <string.h>
5171
5172_ACEOF
5173if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5174 $EGREP "memchr" >/dev/null 2>&1; then
5175 :
5176else
5177 ac_cv_header_stdc=no
5178fi
5179rm -f conftest*
5180
5181fi
5182
5183if test $ac_cv_header_stdc = yes; then
5184 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5185 cat >conftest.$ac_ext <<_ACEOF
5186/* confdefs.h. */
5187_ACEOF
5188cat confdefs.h >>conftest.$ac_ext
5189cat >>conftest.$ac_ext <<_ACEOF
5190/* end confdefs.h. */
5191#include <stdlib.h>
5192
5193_ACEOF
5194if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5195 $EGREP "free" >/dev/null 2>&1; then
5196 :
5197else
5198 ac_cv_header_stdc=no
5199fi
5200rm -f conftest*
5201
5202fi
5203
5204if test $ac_cv_header_stdc = yes; then
5205 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
5206 if test "$cross_compiling" = yes; then
5207 :
5208else
5209 cat >conftest.$ac_ext <<_ACEOF
5210/* confdefs.h. */
5211_ACEOF
5212cat confdefs.h >>conftest.$ac_ext
5213cat >>conftest.$ac_ext <<_ACEOF
5214/* end confdefs.h. */
5215#include <ctype.h>
5216#include <stdlib.h>
5217#if ((' ' & 0x0FF) == 0x020)
5218# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
5219# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
5220#else
5221# define ISLOWER(c) \
5222 (('a' <= (c) && (c) <= 'i') \
5223 || ('j' <= (c) && (c) <= 'r') \
5224 || ('s' <= (c) && (c) <= 'z'))
5225# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5226#endif
5227
5228#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5229int
5230main ()
5231{
5232 int i;
5233 for (i = 0; i < 256; i++)
5234 if (XOR (islower (i), ISLOWER (i))
5235 || toupper (i) != TOUPPER (i))
5236 return 2;
5237 return 0;
5238}
5239_ACEOF
5240rm -f conftest$ac_exeext
5241if { (ac_try="$ac_link"
5242case "(($ac_try" in
5243 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5244 *) ac_try_echo=$ac_try;;
5245esac
5246eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5247 (eval "$ac_link") 2>&5
5248 ac_status=$?
5249 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5250 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5251 { (case "(($ac_try" in
5252 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5253 *) ac_try_echo=$ac_try;;
5254esac
5255eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5256 (eval "$ac_try") 2>&5
5257 ac_status=$?
5258 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5259 (exit $ac_status); }; }; then
5260 :
5261else
5262 echo "$as_me: program exited with status $ac_status" >&5
5263echo "$as_me: failed program was:" >&5
5264sed 's/^/| /' conftest.$ac_ext >&5
5265
5266( exit $ac_status )
5267ac_cv_header_stdc=no
5268fi
5269rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5270fi
5271
5272
5273fi
5274fi
5275{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
5276echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
5277if test $ac_cv_header_stdc = yes; then
5278
5279cat >>confdefs.h <<\_ACEOF
5280#define STDC_HEADERS 1
5281_ACEOF
5282
5283fi
5284
5285# On IRIX 5.3, sys/types and inttypes.h are conflicting.
5286
5287
5288
5289
5290
5291
5292
5293
5294
5295for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
5296 inttypes.h stdint.h unistd.h
5297do
5298as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5299{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5300echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5301if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5302 echo $ECHO_N "(cached) $ECHO_C" >&6
5303else
5304 cat >conftest.$ac_ext <<_ACEOF
5305/* confdefs.h. */
5306_ACEOF
5307cat confdefs.h >>conftest.$ac_ext
5308cat >>conftest.$ac_ext <<_ACEOF
5309/* end confdefs.h. */
5310$ac_includes_default
5311
5312#include <$ac_header>
5313_ACEOF
5314rm -f conftest.$ac_objext
5315if { (ac_try="$ac_compile"
5316case "(($ac_try" in
5317 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5318 *) ac_try_echo=$ac_try;;
5319esac
5320eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5321 (eval "$ac_compile") 2>conftest.er1
5322 ac_status=$?
5323 grep -v '^ *+' conftest.er1 >conftest.err
5324 rm -f conftest.er1
5325 cat conftest.err >&5
5326 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5327 (exit $ac_status); } && {
5328 test -z "$ac_cxx_werror_flag" ||
5329 test ! -s conftest.err
5330 } && test -s conftest.$ac_objext; then
5331 eval "$as_ac_Header=yes"
5332else
5333 echo "$as_me: failed program was:" >&5
5334sed 's/^/| /' conftest.$ac_ext >&5
5335
5336 eval "$as_ac_Header=no"
5337fi
5338
5339rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5340fi
5341ac_res=`eval echo '${'$as_ac_Header'}'`
5342 { echo "$as_me:$LINENO: result: $ac_res" >&5
5343echo "${ECHO_T}$ac_res" >&6; }
5344if test `eval echo '${'$as_ac_Header'}'` = yes; then
5345 cat >>confdefs.h <<_ACEOF
5346#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5347_ACEOF
5348
5349fi
5350
5351done
5352
5353
5354
5355
5356
5357
5358
5359
5360
5361for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h
5362do
5363as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5364if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5365 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5366echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5367if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5368 echo $ECHO_N "(cached) $ECHO_C" >&6
5369fi
5370ac_res=`eval echo '${'$as_ac_Header'}'`
5371 { echo "$as_me:$LINENO: result: $ac_res" >&5
5372echo "${ECHO_T}$ac_res" >&6; }
5373else
5374 # Is the header compilable?
5375{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
5376echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
5377cat >conftest.$ac_ext <<_ACEOF
5378/* confdefs.h. */
5379_ACEOF
5380cat confdefs.h >>conftest.$ac_ext
5381cat >>conftest.$ac_ext <<_ACEOF
5382/* end confdefs.h. */
5383$ac_includes_default
5384#include <$ac_header>
5385_ACEOF
5386rm -f conftest.$ac_objext
5387if { (ac_try="$ac_compile"
5388case "(($ac_try" in
5389 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5390 *) ac_try_echo=$ac_try;;
5391esac
5392eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5393 (eval "$ac_compile") 2>conftest.er1
5394 ac_status=$?
5395 grep -v '^ *+' conftest.er1 >conftest.err
5396 rm -f conftest.er1
5397 cat conftest.err >&5
5398 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5399 (exit $ac_status); } && {
5400 test -z "$ac_cxx_werror_flag" ||
5401 test ! -s conftest.err
5402 } && test -s conftest.$ac_objext; then
5403 ac_header_compiler=yes
5404else
5405 echo "$as_me: failed program was:" >&5
5406sed 's/^/| /' conftest.$ac_ext >&5
5407
5408 ac_header_compiler=no
5409fi
5410
5411rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5412{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5413echo "${ECHO_T}$ac_header_compiler" >&6; }
5414
5415# Is the header present?
5416{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
5417echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
5418cat >conftest.$ac_ext <<_ACEOF
5419/* confdefs.h. */
5420_ACEOF
5421cat confdefs.h >>conftest.$ac_ext
5422cat >>conftest.$ac_ext <<_ACEOF
5423/* end confdefs.h. */
5424#include <$ac_header>
5425_ACEOF
5426if { (ac_try="$ac_cpp conftest.$ac_ext"
5427case "(($ac_try" in
5428 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5429 *) ac_try_echo=$ac_try;;
5430esac
5431eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5432 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5433 ac_status=$?
5434 grep -v '^ *+' conftest.er1 >conftest.err
5435 rm -f conftest.er1
5436 cat conftest.err >&5
5437 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5438 (exit $ac_status); } >/dev/null && {
5439 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5440 test ! -s conftest.err
5441 }; then
5442 ac_header_preproc=yes
5443else
5444 echo "$as_me: failed program was:" >&5
5445sed 's/^/| /' conftest.$ac_ext >&5
5446
5447 ac_header_preproc=no
5448fi
5449
5450rm -f conftest.err conftest.$ac_ext
5451{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5452echo "${ECHO_T}$ac_header_preproc" >&6; }
5453
5454# So? What about this header?
5455case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
5456 yes:no: )
5457 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5458echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5459 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5460echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5461 ac_header_preproc=yes
5462 ;;
5463 no:yes:* )
5464 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5465echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5466 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
5467echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
5468 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5469echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5470 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
5471echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
5472 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5473echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5474 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5475echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5476
5477 ;;
5478esac
5479{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5480echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5481if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5482 echo $ECHO_N "(cached) $ECHO_C" >&6
5483else
5484 eval "$as_ac_Header=\$ac_header_preproc"
5485fi
5486ac_res=`eval echo '${'$as_ac_Header'}'`
5487 { echo "$as_me:$LINENO: result: $ac_res" >&5
5488echo "${ECHO_T}$ac_res" >&6; }
5489
5490fi
5491if test `eval echo '${'$as_ac_Header'}'` = yes; then
5492 cat >>confdefs.h <<_ACEOF
5493#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5494_ACEOF
5495
5496fi
5497
5498done
5499
5500
5501
5502
5503
5504
5505
5506
5507for ac_func in inotify_init epoll_ctl kqueue port_create poll select
5508do
5509as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5510{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5511echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5512if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5513 echo $ECHO_N "(cached) $ECHO_C" >&6
5514else
5515 cat >conftest.$ac_ext <<_ACEOF
5516/* confdefs.h. */
5517_ACEOF
5518cat confdefs.h >>conftest.$ac_ext
5519cat >>conftest.$ac_ext <<_ACEOF
5520/* end confdefs.h. */
5521/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5522 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5523#define $ac_func innocuous_$ac_func
5524
5525/* System header to define __stub macros and hopefully few prototypes,
5526 which can conflict with char $ac_func (); below.
5527 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5528 <limits.h> exists even on freestanding compilers. */
5529
5530#ifdef __STDC__
5531# include <limits.h>
5532#else
5533# include <assert.h>
5534#endif
5535
5536#undef $ac_func
5537
5538/* Override any GCC internal prototype to avoid an error.
5539 Use char because int might match the return type of a GCC
5540 builtin and then its argument prototype would still apply. */
5541#ifdef __cplusplus
5542extern "C"
5543#endif
5544char $ac_func ();
5545/* The GNU C library defines this for functions which it implements
5546 to always fail with ENOSYS. Some functions are actually named
5547 something starting with __ and the normal name is an alias. */
5548#if defined __stub_$ac_func || defined __stub___$ac_func
5549choke me
5550#endif
5551
5552int
5553main ()
5554{
5555return $ac_func ();
5556 ;
5557 return 0;
5558}
5559_ACEOF
5560rm -f conftest.$ac_objext conftest$ac_exeext
5561if { (ac_try="$ac_link"
5562case "(($ac_try" in
5563 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5564 *) ac_try_echo=$ac_try;;
5565esac
5566eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5567 (eval "$ac_link") 2>conftest.er1
5568 ac_status=$?
5569 grep -v '^ *+' conftest.er1 >conftest.err
5570 rm -f conftest.er1
5571 cat conftest.err >&5
5572 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5573 (exit $ac_status); } && {
5574 test -z "$ac_cxx_werror_flag" ||
5575 test ! -s conftest.err
5576 } && test -s conftest$ac_exeext &&
5577 $as_test_x conftest$ac_exeext; then
5578 eval "$as_ac_var=yes"
5579else
5580 echo "$as_me: failed program was:" >&5
5581sed 's/^/| /' conftest.$ac_ext >&5
5582
5583 eval "$as_ac_var=no"
5584fi
5585
5586rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5587 conftest$ac_exeext conftest.$ac_ext
5588fi
5589ac_res=`eval echo '${'$as_ac_var'}'`
5590 { echo "$as_me:$LINENO: result: $ac_res" >&5
5591echo "${ECHO_T}$ac_res" >&6; }
5592if test `eval echo '${'$as_ac_var'}'` = yes; then
5593 cat >>confdefs.h <<_ACEOF
5594#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5595_ACEOF
5596
5597fi
5598done
5599
5600
5601{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
5602echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
5603if test "${ac_cv_func_clock_gettime+set}" = set; then
5604 echo $ECHO_N "(cached) $ECHO_C" >&6
5605else
5606 cat >conftest.$ac_ext <<_ACEOF
5607/* confdefs.h. */
5608_ACEOF
5609cat confdefs.h >>conftest.$ac_ext
5610cat >>conftest.$ac_ext <<_ACEOF
5611/* end confdefs.h. */
5612/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
5613 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5614#define clock_gettime innocuous_clock_gettime
5615
5616/* System header to define __stub macros and hopefully few prototypes,
5617 which can conflict with char clock_gettime (); below.
5618 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5619 <limits.h> exists even on freestanding compilers. */
5620
5621#ifdef __STDC__
5622# include <limits.h>
5623#else
5624# include <assert.h>
5625#endif
5626
5627#undef clock_gettime
5628
5629/* Override any GCC internal prototype to avoid an error.
5630 Use char because int might match the return type of a GCC
5631 builtin and then its argument prototype would still apply. */
5632#ifdef __cplusplus
5633extern "C"
5634#endif
5635char clock_gettime ();
5636/* The GNU C library defines this for functions which it implements
5637 to always fail with ENOSYS. Some functions are actually named
5638 something starting with __ and the normal name is an alias. */
5639#if defined __stub_clock_gettime || defined __stub___clock_gettime
5640choke me
5641#endif
5642
5643int
5644main ()
5645{
5646return clock_gettime ();
5647 ;
5648 return 0;
5649}
5650_ACEOF
5651rm -f conftest.$ac_objext conftest$ac_exeext
5652if { (ac_try="$ac_link"
5653case "(($ac_try" in
5654 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5655 *) ac_try_echo=$ac_try;;
5656esac
5657eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5658 (eval "$ac_link") 2>conftest.er1
5659 ac_status=$?
5660 grep -v '^ *+' conftest.er1 >conftest.err
5661 rm -f conftest.er1
5662 cat conftest.err >&5
5663 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5664 (exit $ac_status); } && {
5665 test -z "$ac_cxx_werror_flag" ||
5666 test ! -s conftest.err
5667 } && test -s conftest$ac_exeext &&
5668 $as_test_x conftest$ac_exeext; then
5669 ac_cv_func_clock_gettime=yes
5670else
5671 echo "$as_me: failed program was:" >&5
5672sed 's/^/| /' conftest.$ac_ext >&5
5673
5674 ac_cv_func_clock_gettime=no
5675fi
5676
5677rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5678 conftest$ac_exeext conftest.$ac_ext
5679fi
5680{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
5681echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5682if test $ac_cv_func_clock_gettime = yes; then
5683 :
5684else
5685
5686 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
5687
5688{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5689echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5690if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5691 echo $ECHO_N "(cached) $ECHO_C" >&6
5692else
5693 ac_check_lib_save_LIBS=$LIBS
5694LIBS="-lrt $LIBS"
5695cat >conftest.$ac_ext <<_ACEOF
5696/* confdefs.h. */
5697_ACEOF
5698cat confdefs.h >>conftest.$ac_ext
5699cat >>conftest.$ac_ext <<_ACEOF
5700/* end confdefs.h. */
5701
5702/* Override any GCC internal prototype to avoid an error.
5703 Use char because int might match the return type of a GCC
5704 builtin and then its argument prototype would still apply. */
5705#ifdef __cplusplus
5706extern "C"
5707#endif
5708char clock_gettime ();
5709int
5710main ()
5711{
5712return clock_gettime ();
5713 ;
5714 return 0;
5715}
5716_ACEOF
5717rm -f conftest.$ac_objext conftest$ac_exeext
5718if { (ac_try="$ac_link"
5719case "(($ac_try" in
5720 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5721 *) ac_try_echo=$ac_try;;
5722esac
5723eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5724 (eval "$ac_link") 2>conftest.er1
5725 ac_status=$?
5726 grep -v '^ *+' conftest.er1 >conftest.err
5727 rm -f conftest.er1
5728 cat conftest.err >&5
5729 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5730 (exit $ac_status); } && {
5731 test -z "$ac_cxx_werror_flag" ||
5732 test ! -s conftest.err
5733 } && test -s conftest$ac_exeext &&
5734 $as_test_x conftest$ac_exeext; then
5735 ac_cv_lib_rt_clock_gettime=yes
5736else
5737 echo "$as_me: failed program was:" >&5
5738sed 's/^/| /' conftest.$ac_ext >&5
5739
5740 ac_cv_lib_rt_clock_gettime=no
5741fi
5742
5743rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5744 conftest$ac_exeext conftest.$ac_ext
5745LIBS=$ac_check_lib_save_LIBS
5746fi
5747{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
5748echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
5749if test $ac_cv_lib_rt_clock_gettime = yes; then
5750 cat >>confdefs.h <<_ACEOF
5751#define HAVE_LIBRT 1
5752_ACEOF
5753
5754 LIBS="-lrt $LIBS"
5755
5756fi
5757
5758 unset ac_cv_func_clock_gettime
5759
5760for ac_func in clock_gettime
5761do
5762as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5763{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5764echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5765if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5766 echo $ECHO_N "(cached) $ECHO_C" >&6
5767else
5768 cat >conftest.$ac_ext <<_ACEOF
5769/* confdefs.h. */
5770_ACEOF
5771cat confdefs.h >>conftest.$ac_ext
5772cat >>conftest.$ac_ext <<_ACEOF
5773/* end confdefs.h. */
5774/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5775 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5776#define $ac_func innocuous_$ac_func
5777
5778/* System header to define __stub macros and hopefully few prototypes,
5779 which can conflict with char $ac_func (); below.
5780 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5781 <limits.h> exists even on freestanding compilers. */
5782
5783#ifdef __STDC__
5784# include <limits.h>
5785#else
5786# include <assert.h>
5787#endif
5788
5789#undef $ac_func
5790
5791/* Override any GCC internal prototype to avoid an error.
5792 Use char because int might match the return type of a GCC
5793 builtin and then its argument prototype would still apply. */
5794#ifdef __cplusplus
5795extern "C"
5796#endif
5797char $ac_func ();
5798/* The GNU C library defines this for functions which it implements
5799 to always fail with ENOSYS. Some functions are actually named
5800 something starting with __ and the normal name is an alias. */
5801#if defined __stub_$ac_func || defined __stub___$ac_func
5802choke me
5803#endif
5804
5805int
5806main ()
5807{
5808return $ac_func ();
5809 ;
5810 return 0;
5811}
5812_ACEOF
5813rm -f conftest.$ac_objext conftest$ac_exeext
5814if { (ac_try="$ac_link"
5815case "(($ac_try" in
5816 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5817 *) ac_try_echo=$ac_try;;
5818esac
5819eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5820 (eval "$ac_link") 2>conftest.er1
5821 ac_status=$?
5822 grep -v '^ *+' conftest.er1 >conftest.err
5823 rm -f conftest.er1
5824 cat conftest.err >&5
5825 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5826 (exit $ac_status); } && {
5827 test -z "$ac_cxx_werror_flag" ||
5828 test ! -s conftest.err
5829 } && test -s conftest$ac_exeext &&
5830 $as_test_x conftest$ac_exeext; then
5831 eval "$as_ac_var=yes"
5832else
5833 echo "$as_me: failed program was:" >&5
5834sed 's/^/| /' conftest.$ac_ext >&5
5835
5836 eval "$as_ac_var=no"
5837fi
5838
5839rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5840 conftest$ac_exeext conftest.$ac_ext
5841fi
5842ac_res=`eval echo '${'$as_ac_var'}'`
5843 { echo "$as_me:$LINENO: result: $ac_res" >&5
5844echo "${ECHO_T}$ac_res" >&6; }
5845if test `eval echo '${'$as_ac_var'}'` = yes; then
5846 cat >>confdefs.h <<_ACEOF
5847#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5848_ACEOF
5849
5850fi
5851done
5852
5853 fi
5854
5855fi
5856
5857
5858
5859{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
5860echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
5861if test "${ac_cv_lib_m_ceil+set}" = set; then
5862 echo $ECHO_N "(cached) $ECHO_C" >&6
5863else
5864 ac_check_lib_save_LIBS=$LIBS
5865LIBS="-lm $LIBS"
5866cat >conftest.$ac_ext <<_ACEOF
5867/* confdefs.h. */
5868_ACEOF
5869cat confdefs.h >>conftest.$ac_ext
5870cat >>conftest.$ac_ext <<_ACEOF
5871/* end confdefs.h. */
5872
5873/* Override any GCC internal prototype to avoid an error.
5874 Use char because int might match the return type of a GCC
5875 builtin and then its argument prototype would still apply. */
5876#ifdef __cplusplus
5877extern "C"
5878#endif
5879char ceil ();
5880int
5881main ()
5882{
5883return ceil ();
5884 ;
5885 return 0;
5886}
5887_ACEOF
5888rm -f conftest.$ac_objext conftest$ac_exeext
5889if { (ac_try="$ac_link"
5890case "(($ac_try" in
5891 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5892 *) ac_try_echo=$ac_try;;
5893esac
5894eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5895 (eval "$ac_link") 2>conftest.er1
5896 ac_status=$?
5897 grep -v '^ *+' conftest.er1 >conftest.err
5898 rm -f conftest.er1
5899 cat conftest.err >&5
5900 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5901 (exit $ac_status); } && {
5902 test -z "$ac_cxx_werror_flag" ||
5903 test ! -s conftest.err
5904 } && test -s conftest$ac_exeext &&
5905 $as_test_x conftest$ac_exeext; then
5906 ac_cv_lib_m_ceil=yes
5907else
5908 echo "$as_me: failed program was:" >&5
5909sed 's/^/| /' conftest.$ac_ext >&5
5910
5911 ac_cv_lib_m_ceil=no
5912fi
5913
5914rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5915 conftest$ac_exeext conftest.$ac_ext
5916LIBS=$ac_check_lib_save_LIBS
5917fi
5918{ echo "$as_me:$LINENO: result: $ac_cv_lib_m_ceil" >&5
5919echo "${ECHO_T}$ac_cv_lib_m_ceil" >&6; }
5920if test $ac_cv_lib_m_ceil = yes; then
5921 cat >>confdefs.h <<_ACEOF
5922#define HAVE_LIBM 1
5923_ACEOF
5924
5925 LIBS="-lm $LIBS"
5926
5927fi
5928
5929
5930
5931
4893 5932
4894 5933
4895 5934
4896# Extract the first word of "tic", so it can be a program name with args. 5935# Extract the first word of "tic", so it can be a program name with args.
4897set dummy tic; ac_word=$2 5936set dummy tic; ac_word=$2
4931else 5970else
4932 { echo "$as_me:$LINENO: result: no" >&5 5971 { echo "$as_me:$LINENO: result: no" >&5
4933echo "${ECHO_T}no" >&6; } 5972echo "${ECHO_T}no" >&6; }
4934fi 5973fi
4935 5974
4936
4937
4938
4939
4940ac_ext=cpp
4941ac_cpp='$CXXCPP $CPPFLAGS'
4942ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4943ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4944ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4945{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4946echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
4947if test -z "$CXXCPP"; then
4948 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4949 echo $ECHO_N "(cached) $ECHO_C" >&6
4950else
4951 # Double quotes because CXXCPP needs to be expanded
4952 for CXXCPP in "$CXX -E" "/lib/cpp"
4953 do
4954 ac_preproc_ok=false
4955for ac_cxx_preproc_warn_flag in '' yes
4956do
4957 # Use a header file that comes with gcc, so configuring glibc
4958 # with a fresh cross-compiler works.
4959 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4960 # <limits.h> exists even on freestanding compilers.
4961 # On the NeXT, cc -E runs the code through the compiler's parser,
4962 # not just through cpp. "Syntax error" is here to catch this case.
4963 cat >conftest.$ac_ext <<_ACEOF
4964/* confdefs.h. */
4965_ACEOF
4966cat confdefs.h >>conftest.$ac_ext
4967cat >>conftest.$ac_ext <<_ACEOF
4968/* end confdefs.h. */
4969#ifdef __STDC__
4970# include <limits.h>
4971#else
4972# include <assert.h>
4973#endif
4974 Syntax error
4975_ACEOF
4976if { (ac_try="$ac_cpp conftest.$ac_ext"
4977case "(($ac_try" in
4978 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4979 *) ac_try_echo=$ac_try;;
4980esac
4981eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4982 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4983 ac_status=$?
4984 grep -v '^ *+' conftest.er1 >conftest.err
4985 rm -f conftest.er1
4986 cat conftest.err >&5
4987 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4988 (exit $ac_status); } >/dev/null && {
4989 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4990 test ! -s conftest.err
4991 }; then
4992 :
4993else
4994 echo "$as_me: failed program was:" >&5
4995sed 's/^/| /' conftest.$ac_ext >&5
4996
4997 # Broken: fails on valid input.
4998continue
4999fi
5000
5001rm -f conftest.err conftest.$ac_ext
5002
5003 # OK, works on sane cases. Now check whether nonexistent headers
5004 # can be detected and how.
5005 cat >conftest.$ac_ext <<_ACEOF
5006/* confdefs.h. */
5007_ACEOF
5008cat confdefs.h >>conftest.$ac_ext
5009cat >>conftest.$ac_ext <<_ACEOF
5010/* end confdefs.h. */
5011#include <ac_nonexistent.h>
5012_ACEOF
5013if { (ac_try="$ac_cpp conftest.$ac_ext"
5014case "(($ac_try" in
5015 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5016 *) ac_try_echo=$ac_try;;
5017esac
5018eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5019 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5020 ac_status=$?
5021 grep -v '^ *+' conftest.er1 >conftest.err
5022 rm -f conftest.er1
5023 cat conftest.err >&5
5024 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5025 (exit $ac_status); } >/dev/null && {
5026 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5027 test ! -s conftest.err
5028 }; then
5029 # Broken: success on invalid input.
5030continue
5031else
5032 echo "$as_me: failed program was:" >&5
5033sed 's/^/| /' conftest.$ac_ext >&5
5034
5035 # Passes both tests.
5036ac_preproc_ok=:
5037break
5038fi
5039
5040rm -f conftest.err conftest.$ac_ext
5041
5042done
5043# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5044rm -f conftest.err conftest.$ac_ext
5045if $ac_preproc_ok; then
5046 break
5047fi
5048
5049 done
5050 ac_cv_prog_CXXCPP=$CXXCPP
5051
5052fi
5053 CXXCPP=$ac_cv_prog_CXXCPP
5054else
5055 ac_cv_prog_CXXCPP=$CXXCPP
5056fi
5057{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
5058echo "${ECHO_T}$CXXCPP" >&6; }
5059ac_preproc_ok=false
5060for ac_cxx_preproc_warn_flag in '' yes
5061do
5062 # Use a header file that comes with gcc, so configuring glibc
5063 # with a fresh cross-compiler works.
5064 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5065 # <limits.h> exists even on freestanding compilers.
5066 # On the NeXT, cc -E runs the code through the compiler's parser,
5067 # not just through cpp. "Syntax error" is here to catch this case.
5068 cat >conftest.$ac_ext <<_ACEOF
5069/* confdefs.h. */
5070_ACEOF
5071cat confdefs.h >>conftest.$ac_ext
5072cat >>conftest.$ac_ext <<_ACEOF
5073/* end confdefs.h. */
5074#ifdef __STDC__
5075# include <limits.h>
5076#else
5077# include <assert.h>
5078#endif
5079 Syntax error
5080_ACEOF
5081if { (ac_try="$ac_cpp conftest.$ac_ext"
5082case "(($ac_try" in
5083 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5084 *) ac_try_echo=$ac_try;;
5085esac
5086eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5087 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5088 ac_status=$?
5089 grep -v '^ *+' conftest.er1 >conftest.err
5090 rm -f conftest.er1
5091 cat conftest.err >&5
5092 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5093 (exit $ac_status); } >/dev/null && {
5094 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5095 test ! -s conftest.err
5096 }; then
5097 :
5098else
5099 echo "$as_me: failed program was:" >&5
5100sed 's/^/| /' conftest.$ac_ext >&5
5101
5102 # Broken: fails on valid input.
5103continue
5104fi
5105
5106rm -f conftest.err conftest.$ac_ext
5107
5108 # OK, works on sane cases. Now check whether nonexistent headers
5109 # can be detected and how.
5110 cat >conftest.$ac_ext <<_ACEOF
5111/* confdefs.h. */
5112_ACEOF
5113cat confdefs.h >>conftest.$ac_ext
5114cat >>conftest.$ac_ext <<_ACEOF
5115/* end confdefs.h. */
5116#include <ac_nonexistent.h>
5117_ACEOF
5118if { (ac_try="$ac_cpp conftest.$ac_ext"
5119case "(($ac_try" in
5120 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5121 *) ac_try_echo=$ac_try;;
5122esac
5123eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5124 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5125 ac_status=$?
5126 grep -v '^ *+' conftest.er1 >conftest.err
5127 rm -f conftest.er1
5128 cat conftest.err >&5
5129 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5130 (exit $ac_status); } >/dev/null && {
5131 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5132 test ! -s conftest.err
5133 }; then
5134 # Broken: success on invalid input.
5135continue
5136else
5137 echo "$as_me: failed program was:" >&5
5138sed 's/^/| /' conftest.$ac_ext >&5
5139
5140 # Passes both tests.
5141ac_preproc_ok=:
5142break
5143fi
5144
5145rm -f conftest.err conftest.$ac_ext
5146
5147done
5148# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5149rm -f conftest.err conftest.$ac_ext
5150if $ac_preproc_ok; then
5151 :
5152else
5153 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5154See \`config.log' for more details." >&5
5155echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5156See \`config.log' for more details." >&2;}
5157 { (exit 1); exit 1; }; }
5158fi
5159
5160ac_ext=cpp
5161ac_cpp='$CXXCPP $CPPFLAGS'
5162ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5163ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5164ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5165 5975
5166 5976
5167{ echo "$as_me:$LINENO: checking for X" >&5 5977{ echo "$as_me:$LINENO: checking for X" >&5
5168echo $ECHO_N "checking for X... $ECHO_C" >&6; } 5978echo $ECHO_N "checking for X... $ECHO_C" >&6; }
5169 5979
6555echo "${ECHO_T}no" >&6; } 7365echo "${ECHO_T}no" >&6; }
6556 fi 7366 fi
6557 fi 7367 fi
6558fi 7368fi
6559 7369
6560{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
6561echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
6562if test "${ac_cv_header_sys_wait_h+set}" = set; then
6563 echo $ECHO_N "(cached) $ECHO_C" >&6
6564else
6565 cat >conftest.$ac_ext <<_ACEOF
6566/* confdefs.h. */
6567_ACEOF
6568cat confdefs.h >>conftest.$ac_ext
6569cat >>conftest.$ac_ext <<_ACEOF
6570/* end confdefs.h. */
6571#include <sys/types.h>
6572#include <sys/wait.h>
6573#ifndef WEXITSTATUS
6574# define WEXITSTATUS(stat_val) ((unsigned int) (stat_val) >> 8)
6575#endif
6576#ifndef WIFEXITED
6577# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
6578#endif
6579
6580int
6581main ()
6582{
6583 int s;
6584 wait (&s);
6585 s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
6586 ;
6587 return 0;
6588}
6589_ACEOF
6590rm -f conftest.$ac_objext
6591if { (ac_try="$ac_compile"
6592case "(($ac_try" in
6593 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6594 *) ac_try_echo=$ac_try;;
6595esac
6596eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6597 (eval "$ac_compile") 2>conftest.er1
6598 ac_status=$?
6599 grep -v '^ *+' conftest.er1 >conftest.err
6600 rm -f conftest.er1
6601 cat conftest.err >&5
6602 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6603 (exit $ac_status); } && {
6604 test -z "$ac_cxx_werror_flag" ||
6605 test ! -s conftest.err
6606 } && test -s conftest.$ac_objext; then
6607 ac_cv_header_sys_wait_h=yes
6608else
6609 echo "$as_me: failed program was:" >&5
6610sed 's/^/| /' conftest.$ac_ext >&5
6611
6612 ac_cv_header_sys_wait_h=no
6613fi
6614
6615rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6616fi
6617{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_wait_h" >&5
6618echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6; }
6619if test $ac_cv_header_sys_wait_h = yes; then
6620
6621cat >>confdefs.h <<\_ACEOF
6622#define HAVE_SYS_WAIT_H 1
6623_ACEOF
6624
6625fi
6626
6627{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6628echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
6629if test "${ac_cv_header_stdc+set}" = set; then
6630 echo $ECHO_N "(cached) $ECHO_C" >&6
6631else
6632 cat >conftest.$ac_ext <<_ACEOF
6633/* confdefs.h. */
6634_ACEOF
6635cat confdefs.h >>conftest.$ac_ext
6636cat >>conftest.$ac_ext <<_ACEOF
6637/* end confdefs.h. */
6638#include <stdlib.h>
6639#include <stdarg.h>
6640#include <string.h>
6641#include <float.h>
6642
6643int
6644main ()
6645{
6646
6647 ;
6648 return 0;
6649}
6650_ACEOF
6651rm -f conftest.$ac_objext
6652if { (ac_try="$ac_compile"
6653case "(($ac_try" in
6654 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6655 *) ac_try_echo=$ac_try;;
6656esac
6657eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6658 (eval "$ac_compile") 2>conftest.er1
6659 ac_status=$?
6660 grep -v '^ *+' conftest.er1 >conftest.err
6661 rm -f conftest.er1
6662 cat conftest.err >&5
6663 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6664 (exit $ac_status); } && {
6665 test -z "$ac_cxx_werror_flag" ||
6666 test ! -s conftest.err
6667 } && test -s conftest.$ac_objext; then
6668 ac_cv_header_stdc=yes
6669else
6670 echo "$as_me: failed program was:" >&5
6671sed 's/^/| /' conftest.$ac_ext >&5
6672
6673 ac_cv_header_stdc=no
6674fi
6675
6676rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6677
6678if test $ac_cv_header_stdc = yes; then
6679 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6680 cat >conftest.$ac_ext <<_ACEOF
6681/* confdefs.h. */
6682_ACEOF
6683cat confdefs.h >>conftest.$ac_ext
6684cat >>conftest.$ac_ext <<_ACEOF
6685/* end confdefs.h. */
6686#include <string.h>
6687
6688_ACEOF
6689if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6690 $EGREP "memchr" >/dev/null 2>&1; then
6691 :
6692else
6693 ac_cv_header_stdc=no
6694fi
6695rm -f conftest*
6696
6697fi
6698
6699if test $ac_cv_header_stdc = yes; then
6700 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6701 cat >conftest.$ac_ext <<_ACEOF
6702/* confdefs.h. */
6703_ACEOF
6704cat confdefs.h >>conftest.$ac_ext
6705cat >>conftest.$ac_ext <<_ACEOF
6706/* end confdefs.h. */
6707#include <stdlib.h>
6708
6709_ACEOF
6710if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6711 $EGREP "free" >/dev/null 2>&1; then
6712 :
6713else
6714 ac_cv_header_stdc=no
6715fi
6716rm -f conftest*
6717
6718fi
6719
6720if test $ac_cv_header_stdc = yes; then
6721 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6722 if test "$cross_compiling" = yes; then
6723 :
6724else
6725 cat >conftest.$ac_ext <<_ACEOF
6726/* confdefs.h. */
6727_ACEOF
6728cat confdefs.h >>conftest.$ac_ext
6729cat >>conftest.$ac_ext <<_ACEOF
6730/* end confdefs.h. */
6731#include <ctype.h>
6732#include <stdlib.h>
6733#if ((' ' & 0x0FF) == 0x020)
6734# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6735# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6736#else
6737# define ISLOWER(c) \
6738 (('a' <= (c) && (c) <= 'i') \
6739 || ('j' <= (c) && (c) <= 'r') \
6740 || ('s' <= (c) && (c) <= 'z'))
6741# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6742#endif
6743
6744#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6745int
6746main ()
6747{
6748 int i;
6749 for (i = 0; i < 256; i++)
6750 if (XOR (islower (i), ISLOWER (i))
6751 || toupper (i) != TOUPPER (i))
6752 return 2;
6753 return 0;
6754}
6755_ACEOF
6756rm -f conftest$ac_exeext
6757if { (ac_try="$ac_link"
6758case "(($ac_try" in
6759 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6760 *) ac_try_echo=$ac_try;;
6761esac
6762eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6763 (eval "$ac_link") 2>&5
6764 ac_status=$?
6765 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6766 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6767 { (case "(($ac_try" in
6768 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6769 *) ac_try_echo=$ac_try;;
6770esac
6771eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6772 (eval "$ac_try") 2>&5
6773 ac_status=$?
6774 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6775 (exit $ac_status); }; }; then
6776 :
6777else
6778 echo "$as_me: program exited with status $ac_status" >&5
6779echo "$as_me: failed program was:" >&5
6780sed 's/^/| /' conftest.$ac_ext >&5
6781
6782( exit $ac_status )
6783ac_cv_header_stdc=no
6784fi
6785rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6786fi
6787
6788
6789fi
6790fi
6791{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6792echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
6793if test $ac_cv_header_stdc = yes; then
6794
6795cat >>confdefs.h <<\_ACEOF
6796#define STDC_HEADERS 1
6797_ACEOF
6798
6799fi
6800
6801# On IRIX 5.3, sys/types and inttypes.h are conflicting.
6802
6803
6804
6805
6806
6807
6808
6809
6810
6811for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6812 inttypes.h stdint.h unistd.h
6813do
6814as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6815{ echo "$as_me:$LINENO: checking for $ac_header" >&5
6816echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
6817if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
6818 echo $ECHO_N "(cached) $ECHO_C" >&6
6819else
6820 cat >conftest.$ac_ext <<_ACEOF
6821/* confdefs.h. */
6822_ACEOF
6823cat confdefs.h >>conftest.$ac_ext
6824cat >>conftest.$ac_ext <<_ACEOF
6825/* end confdefs.h. */
6826$ac_includes_default
6827
6828#include <$ac_header>
6829_ACEOF
6830rm -f conftest.$ac_objext
6831if { (ac_try="$ac_compile"
6832case "(($ac_try" in
6833 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6834 *) ac_try_echo=$ac_try;;
6835esac
6836eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6837 (eval "$ac_compile") 2>conftest.er1
6838 ac_status=$?
6839 grep -v '^ *+' conftest.er1 >conftest.err
6840 rm -f conftest.er1
6841 cat conftest.err >&5
6842 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6843 (exit $ac_status); } && {
6844 test -z "$ac_cxx_werror_flag" ||
6845 test ! -s conftest.err
6846 } && test -s conftest.$ac_objext; then
6847 eval "$as_ac_Header=yes"
6848else
6849 echo "$as_me: failed program was:" >&5
6850sed 's/^/| /' conftest.$ac_ext >&5
6851
6852 eval "$as_ac_Header=no"
6853fi
6854
6855rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6856fi
6857ac_res=`eval echo '${'$as_ac_Header'}'`
6858 { echo "$as_me:$LINENO: result: $ac_res" >&5
6859echo "${ECHO_T}$ac_res" >&6; }
6860if test `eval echo '${'$as_ac_Header'}'` = yes; then
6861 cat >>confdefs.h <<_ACEOF
6862#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6863_ACEOF
6864
6865fi
6866
6867done
6868
6869
6870 7370
6871 7371
6872 7372
6873 7373
6874 7374
7040fi 7540fi
7041 7541
7042done 7542done
7043 7543
7044 7544
7045{ echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
7046echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6; }
7047if test "${ac_cv_header_time+set}" = set; then
7048 echo $ECHO_N "(cached) $ECHO_C" >&6
7049else
7050 cat >conftest.$ac_ext <<_ACEOF
7051/* confdefs.h. */
7052_ACEOF
7053cat confdefs.h >>conftest.$ac_ext
7054cat >>conftest.$ac_ext <<_ACEOF
7055/* end confdefs.h. */
7056#include <sys/types.h>
7057#include <sys/time.h>
7058#include <time.h>
7059
7060int
7061main ()
7062{
7063if ((struct tm *) 0)
7064return 0;
7065 ;
7066 return 0;
7067}
7068_ACEOF
7069rm -f conftest.$ac_objext
7070if { (ac_try="$ac_compile"
7071case "(($ac_try" in
7072 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7073 *) ac_try_echo=$ac_try;;
7074esac
7075eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7076 (eval "$ac_compile") 2>conftest.er1
7077 ac_status=$?
7078 grep -v '^ *+' conftest.er1 >conftest.err
7079 rm -f conftest.er1
7080 cat conftest.err >&5
7081 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7082 (exit $ac_status); } && {
7083 test -z "$ac_cxx_werror_flag" ||
7084 test ! -s conftest.err
7085 } && test -s conftest.$ac_objext; then
7086 ac_cv_header_time=yes
7087else
7088 echo "$as_me: failed program was:" >&5
7089sed 's/^/| /' conftest.$ac_ext >&5
7090
7091 ac_cv_header_time=no
7092fi
7093
7094rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7095fi
7096{ echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
7097echo "${ECHO_T}$ac_cv_header_time" >&6; }
7098if test $ac_cv_header_time = yes; then
7099
7100cat >>confdefs.h <<\_ACEOF
7101#define TIME_WITH_SYS_TIME 1
7102_ACEOF
7103
7104fi
7105
7106
7107{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5 7545{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5
7108echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; } 7546echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; }
7109if test "${rxvt_cv_header_sysioctl+set}" = set; then 7547if test "${rxvt_cv_header_sysioctl+set}" = set; then
7110 echo $ECHO_N "(cached) $ECHO_C" >&6 7548 echo $ECHO_N "(cached) $ECHO_C" >&6
7111else 7549else
7276cat >>confdefs.h <<\_ACEOF 7714cat >>confdefs.h <<\_ACEOF
7277#define XLIB_ILLEGAL_ACCESS 1 7715#define XLIB_ILLEGAL_ACCESS 1
7278_ACEOF 7716_ACEOF
7279 7717
7280fi 7718fi
7281
7282{ echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
7283echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
7284if test "${ac_cv_c_const+set}" = set; then
7285 echo $ECHO_N "(cached) $ECHO_C" >&6
7286else
7287 cat >conftest.$ac_ext <<_ACEOF
7288/* confdefs.h. */
7289_ACEOF
7290cat confdefs.h >>conftest.$ac_ext
7291cat >>conftest.$ac_ext <<_ACEOF
7292/* end confdefs.h. */
7293
7294int
7295main ()
7296{
7297/* FIXME: Include the comments suggested by Paul. */
7298#ifndef __cplusplus
7299 /* Ultrix mips cc rejects this. */
7300 typedef int charset[2];
7301 const charset cs;
7302 /* SunOS 4.1.1 cc rejects this. */
7303 char const *const *pcpcc;
7304 char **ppc;
7305 /* NEC SVR4.0.2 mips cc rejects this. */
7306 struct point {int x, y;};
7307 static struct point const zero = {0,0};
7308 /* AIX XL C 1.02.0.0 rejects this.
7309 It does not let you subtract one const X* pointer from another in
7310 an arm of an if-expression whose if-part is not a constant
7311 expression */
7312 const char *g = "string";
7313 pcpcc = &g + (g ? g-g : 0);
7314 /* HPUX 7.0 cc rejects these. */
7315 ++pcpcc;
7316 ppc = (char**) pcpcc;
7317 pcpcc = (char const *const *) ppc;
7318 { /* SCO 3.2v4 cc rejects this. */
7319 char *t;
7320 char const *s = 0 ? (char *) 0 : (char const *) 0;
7321
7322 *t++ = 0;
7323 if (s) return 0;
7324 }
7325 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
7326 int x[] = {25, 17};
7327 const int *foo = &x[0];
7328 ++foo;
7329 }
7330 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
7331 typedef const int *iptr;
7332 iptr p = 0;
7333 ++p;
7334 }
7335 { /* AIX XL C 1.02.0.0 rejects this saying
7336 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
7337 struct s { int j; const int *ap[3]; };
7338 struct s *b; b->j = 5;
7339 }
7340 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
7341 const int foo = 10;
7342 if (!foo) return 0;
7343 }
7344 return !cs[0] && !zero.x;
7345#endif
7346
7347 ;
7348 return 0;
7349}
7350_ACEOF
7351rm -f conftest.$ac_objext
7352if { (ac_try="$ac_compile"
7353case "(($ac_try" in
7354 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7355 *) ac_try_echo=$ac_try;;
7356esac
7357eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7358 (eval "$ac_compile") 2>conftest.er1
7359 ac_status=$?
7360 grep -v '^ *+' conftest.er1 >conftest.err
7361 rm -f conftest.er1
7362 cat conftest.err >&5
7363 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7364 (exit $ac_status); } && {
7365 test -z "$ac_cxx_werror_flag" ||
7366 test ! -s conftest.err
7367 } && test -s conftest.$ac_objext; then
7368 ac_cv_c_const=yes
7369else
7370 echo "$as_me: failed program was:" >&5
7371sed 's/^/| /' conftest.$ac_ext >&5
7372
7373 ac_cv_c_const=no
7374fi
7375
7376rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7377fi
7378{ echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
7379echo "${ECHO_T}$ac_cv_c_const" >&6; }
7380if test $ac_cv_c_const = no; then
7381
7382cat >>confdefs.h <<\_ACEOF
7383#define const
7384_ACEOF
7385
7386fi
7387
7388{ echo "$as_me:$LINENO: checking for inline" >&5
7389echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
7390if test "${ac_cv_c_inline+set}" = set; then
7391 echo $ECHO_N "(cached) $ECHO_C" >&6
7392else
7393 ac_cv_c_inline=no
7394for ac_kw in inline __inline__ __inline; do
7395 cat >conftest.$ac_ext <<_ACEOF
7396/* confdefs.h. */
7397_ACEOF
7398cat confdefs.h >>conftest.$ac_ext
7399cat >>conftest.$ac_ext <<_ACEOF
7400/* end confdefs.h. */
7401#ifndef __cplusplus
7402typedef int foo_t;
7403static $ac_kw foo_t static_foo () {return 0; }
7404$ac_kw foo_t foo () {return 0; }
7405#endif
7406
7407_ACEOF
7408rm -f conftest.$ac_objext
7409if { (ac_try="$ac_compile"
7410case "(($ac_try" in
7411 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7412 *) ac_try_echo=$ac_try;;
7413esac
7414eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7415 (eval "$ac_compile") 2>conftest.er1
7416 ac_status=$?
7417 grep -v '^ *+' conftest.er1 >conftest.err
7418 rm -f conftest.er1
7419 cat conftest.err >&5
7420 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7421 (exit $ac_status); } && {
7422 test -z "$ac_cxx_werror_flag" ||
7423 test ! -s conftest.err
7424 } && test -s conftest.$ac_objext; then
7425 ac_cv_c_inline=$ac_kw
7426else
7427 echo "$as_me: failed program was:" >&5
7428sed 's/^/| /' conftest.$ac_ext >&5
7429
7430
7431fi
7432
7433rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7434 test "$ac_cv_c_inline" != no && break
7435done
7436
7437fi
7438{ echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
7439echo "${ECHO_T}$ac_cv_c_inline" >&6; }
7440
7441
7442case $ac_cv_c_inline in
7443 inline | yes) ;;
7444 *)
7445 case $ac_cv_c_inline in
7446 no) ac_val=;;
7447 *) ac_val=$ac_cv_c_inline;;
7448 esac
7449 cat >>confdefs.h <<_ACEOF
7450#ifndef __cplusplus
7451#define inline $ac_val
7452#endif
7453_ACEOF
7454 ;;
7455esac
7456
7457
7458 7719
7459{ echo "$as_me:$LINENO: checking for mode_t" >&5 7720{ echo "$as_me:$LINENO: checking for mode_t" >&5
7460echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; } 7721echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; }
7461if test "${ac_cv_type_mode_t+set}" = set; then 7722if test "${ac_cv_type_mode_t+set}" = set; then
7462 echo $ECHO_N "(cached) $ECHO_C" >&6 7723 echo $ECHO_N "(cached) $ECHO_C" >&6
9577 fi 9838 fi
9578fi 9839fi
9579 9840
9580 9841
9581 9842
9582{ echo "$as_me:$LINENO: checking return type of signal handlers" >&5
9583echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6; }
9584if test "${ac_cv_type_signal+set}" = set; then
9585 echo $ECHO_N "(cached) $ECHO_C" >&6
9586else
9587 cat >conftest.$ac_ext <<_ACEOF
9588/* confdefs.h. */
9589_ACEOF
9590cat confdefs.h >>conftest.$ac_ext
9591cat >>conftest.$ac_ext <<_ACEOF
9592/* end confdefs.h. */
9593#include <sys/types.h>
9594#include <signal.h>
9595 9843
9596int
9597main ()
9598{
9599return *(signal (0, 0)) (0) == 1;
9600 ;
9601 return 0;
9602}
9603_ACEOF
9604rm -f conftest.$ac_objext
9605if { (ac_try="$ac_compile"
9606case "(($ac_try" in
9607 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9608 *) ac_try_echo=$ac_try;;
9609esac
9610eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9611 (eval "$ac_compile") 2>conftest.er1
9612 ac_status=$?
9613 grep -v '^ *+' conftest.er1 >conftest.err
9614 rm -f conftest.er1
9615 cat conftest.err >&5
9616 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9617 (exit $ac_status); } && {
9618 test -z "$ac_cxx_werror_flag" ||
9619 test ! -s conftest.err
9620 } && test -s conftest.$ac_objext; then
9621 ac_cv_type_signal=int
9622else
9623 echo "$as_me: failed program was:" >&5
9624sed 's/^/| /' conftest.$ac_ext >&5
9625
9626 ac_cv_type_signal=void
9627fi
9628
9629rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9630fi
9631{ echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5
9632echo "${ECHO_T}$ac_cv_type_signal" >&6; }
9633
9634cat >>confdefs.h <<_ACEOF
9635#define RETSIGTYPE $ac_cv_type_signal
9636_ACEOF
9637
9638
9639
9640
9641
9642
9643for ac_func in \ 9844for ac_func in unsetenv
9644 unsetenv \
9645 setutent \
9646 on_exit \
9647
9648do 9845do
9649as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 9846as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9650{ echo "$as_me:$LINENO: checking for $ac_func" >&5 9847{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9651echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 9848echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9652if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 9849if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9791 9988
9792 9989
9793 9990
9794 9991
9795for ac_func in \ 9992for ac_func in \
9796 ttyslot \
9797 updwtmp \ 9993 updwtmp \
9798 updwtmpx \ 9994 updwtmpx \
9995 updlastlogx \
9799 9996
9800do 9997do
9801as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 9998as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9802{ echo "$as_me:$LINENO: checking for $ac_func" >&5 9999{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9803echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 10000echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9889fi 10086fi
9890done 10087done
9891 10088
9892 10089
9893 10090
9894
9895
9896for ac_header in \ 10091for ac_header in lastlog.h
9897 utmp.h \
9898 utmpx.h \
9899 lastlog.h \
9900
9901do 10092do
9902as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 10093as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9903if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 10094if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9904 { echo "$as_me:$LINENO: checking for $ac_header" >&5 10095 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9905echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 10096echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10036 10227
10037done 10228done
10038 10229
10039 10230
10040 10231
10041if test "${ac_cv_header_utmp_h+set}" = set; then 10232
10233for ac_header in utmp.h
10234do
10235as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10236if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10042 { echo "$as_me:$LINENO: checking for utmp.h" >&5 10237 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10043echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10238echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10044if test "${ac_cv_header_utmp_h+set}" = set; then 10239if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10045 echo $ECHO_N "(cached) $ECHO_C" >&6 10240 echo $ECHO_N "(cached) $ECHO_C" >&6
10046fi 10241fi
10242ac_res=`eval echo '${'$as_ac_Header'}'`
10047{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10243 { echo "$as_me:$LINENO: result: $ac_res" >&5
10048echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10244echo "${ECHO_T}$ac_res" >&6; }
10049else 10245else
10050 # Is the header compilable? 10246 # Is the header compilable?
10051{ echo "$as_me:$LINENO: checking utmp.h usability" >&5 10247{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10052echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; } 10248echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10053cat >conftest.$ac_ext <<_ACEOF 10249cat >conftest.$ac_ext <<_ACEOF
10054/* confdefs.h. */ 10250/* confdefs.h. */
10055_ACEOF 10251_ACEOF
10056cat confdefs.h >>conftest.$ac_ext 10252cat confdefs.h >>conftest.$ac_ext
10057cat >>conftest.$ac_ext <<_ACEOF 10253cat >>conftest.$ac_ext <<_ACEOF
10058/* end confdefs.h. */ 10254/* end confdefs.h. */
10059$ac_includes_default 10255$ac_includes_default
10060#include <utmp.h> 10256#include <$ac_header>
10061_ACEOF 10257_ACEOF
10062rm -f conftest.$ac_objext 10258rm -f conftest.$ac_objext
10063if { (ac_try="$ac_compile" 10259if { (ac_try="$ac_compile"
10064case "(($ac_try" in 10260case "(($ac_try" in
10065 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10261 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10087rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10283rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10088{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10284{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10089echo "${ECHO_T}$ac_header_compiler" >&6; } 10285echo "${ECHO_T}$ac_header_compiler" >&6; }
10090 10286
10091# Is the header present? 10287# Is the header present?
10092{ echo "$as_me:$LINENO: checking utmp.h presence" >&5 10288{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10093echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; } 10289echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10094cat >conftest.$ac_ext <<_ACEOF 10290cat >conftest.$ac_ext <<_ACEOF
10095/* confdefs.h. */ 10291/* confdefs.h. */
10096_ACEOF 10292_ACEOF
10097cat confdefs.h >>conftest.$ac_ext 10293cat confdefs.h >>conftest.$ac_ext
10098cat >>conftest.$ac_ext <<_ACEOF 10294cat >>conftest.$ac_ext <<_ACEOF
10099/* end confdefs.h. */ 10295/* end confdefs.h. */
10100#include <utmp.h> 10296#include <$ac_header>
10101_ACEOF 10297_ACEOF
10102if { (ac_try="$ac_cpp conftest.$ac_ext" 10298if { (ac_try="$ac_cpp conftest.$ac_ext"
10103case "(($ac_try" in 10299case "(($ac_try" in
10104 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10300 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10105 *) ac_try_echo=$ac_try;; 10301 *) ac_try_echo=$ac_try;;
10128echo "${ECHO_T}$ac_header_preproc" >&6; } 10324echo "${ECHO_T}$ac_header_preproc" >&6; }
10129 10325
10130# So? What about this header? 10326# So? What about this header?
10131case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10327case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10132 yes:no: ) 10328 yes:no: )
10133 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5 10329 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10134echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10330echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10135 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5 10331 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10136echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;} 10332echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10137 ac_header_preproc=yes 10333 ac_header_preproc=yes
10138 ;; 10334 ;;
10139 no:yes:* ) 10335 no:yes:* )
10140 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5 10336 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10141echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;} 10337echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10142 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5 10338 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10143echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;} 10339echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10144 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5 10340 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10145echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;} 10341echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10146 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5 10342 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10147echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;} 10343echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10148 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5 10344 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10149echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;} 10345echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10150 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5 10346 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10151echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;} 10347echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10152 10348
10153 ;; 10349 ;;
10154esac 10350esac
10155{ echo "$as_me:$LINENO: checking for utmp.h" >&5 10351{ echo "$as_me:$LINENO: checking for $ac_header" >&5
10156echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10352echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10157if test "${ac_cv_header_utmp_h+set}" = set; then 10353if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10158 echo $ECHO_N "(cached) $ECHO_C" >&6 10354 echo $ECHO_N "(cached) $ECHO_C" >&6
10159else 10355else
10160 ac_cv_header_utmp_h=$ac_header_preproc 10356 eval "$as_ac_Header=\$ac_header_preproc"
10161fi 10357fi
10358ac_res=`eval echo '${'$as_ac_Header'}'`
10162{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10359 { echo "$as_me:$LINENO: result: $ac_res" >&5
10163echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10360echo "${ECHO_T}$ac_res" >&6; }
10164 10361
10165fi 10362fi
10166if test $ac_cv_header_utmp_h = yes; then 10363if test `eval echo '${'$as_ac_Header'}'` = yes; then
10364 cat >>confdefs.h <<_ACEOF
10365#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10366_ACEOF
10167 { echo "$as_me:$LINENO: checking for struct utmp" >&5 10367 { echo "$as_me:$LINENO: checking for struct utmp" >&5
10168echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 10368echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
10169if test "${struct_utmp+set}" = set; then 10369if test "${struct_utmp+set}" = set; then
10170 echo $ECHO_N "(cached) $ECHO_C" >&6 10370 echo $ECHO_N "(cached) $ECHO_C" >&6
10171else 10371else
10172 cat >conftest.$ac_ext <<_ACEOF 10372 cat >conftest.$ac_ext <<_ACEOF
10339 10539
10340fi 10540fi
10341 10541
10342fi 10542fi
10343 10543
10544done
10344 10545
10345 10546
10346if test "${ac_cv_header_utmpx_h+set}" = set; then 10547
10548for ac_header in utmpx.h
10549do
10550as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10551if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10347 { echo "$as_me:$LINENO: checking for utmpx.h" >&5 10552 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10348echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10553echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10349if test "${ac_cv_header_utmpx_h+set}" = set; then 10554if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10350 echo $ECHO_N "(cached) $ECHO_C" >&6 10555 echo $ECHO_N "(cached) $ECHO_C" >&6
10351fi 10556fi
10557ac_res=`eval echo '${'$as_ac_Header'}'`
10352{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10558 { echo "$as_me:$LINENO: result: $ac_res" >&5
10353echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10559echo "${ECHO_T}$ac_res" >&6; }
10354else 10560else
10355 # Is the header compilable? 10561 # Is the header compilable?
10356{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5 10562{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10357echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; } 10563echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10358cat >conftest.$ac_ext <<_ACEOF 10564cat >conftest.$ac_ext <<_ACEOF
10359/* confdefs.h. */ 10565/* confdefs.h. */
10360_ACEOF 10566_ACEOF
10361cat confdefs.h >>conftest.$ac_ext 10567cat confdefs.h >>conftest.$ac_ext
10362cat >>conftest.$ac_ext <<_ACEOF 10568cat >>conftest.$ac_ext <<_ACEOF
10363/* end confdefs.h. */ 10569/* end confdefs.h. */
10364$ac_includes_default 10570$ac_includes_default
10365#include <utmpx.h> 10571#include <$ac_header>
10366_ACEOF 10572_ACEOF
10367rm -f conftest.$ac_objext 10573rm -f conftest.$ac_objext
10368if { (ac_try="$ac_compile" 10574if { (ac_try="$ac_compile"
10369case "(($ac_try" in 10575case "(($ac_try" in
10370 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10576 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10392rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10598rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10393{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10599{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10394echo "${ECHO_T}$ac_header_compiler" >&6; } 10600echo "${ECHO_T}$ac_header_compiler" >&6; }
10395 10601
10396# Is the header present? 10602# Is the header present?
10397{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5 10603{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10398echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; } 10604echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10399cat >conftest.$ac_ext <<_ACEOF 10605cat >conftest.$ac_ext <<_ACEOF
10400/* confdefs.h. */ 10606/* confdefs.h. */
10401_ACEOF 10607_ACEOF
10402cat confdefs.h >>conftest.$ac_ext 10608cat confdefs.h >>conftest.$ac_ext
10403cat >>conftest.$ac_ext <<_ACEOF 10609cat >>conftest.$ac_ext <<_ACEOF
10404/* end confdefs.h. */ 10610/* end confdefs.h. */
10405#include <utmpx.h> 10611#include <$ac_header>
10406_ACEOF 10612_ACEOF
10407if { (ac_try="$ac_cpp conftest.$ac_ext" 10613if { (ac_try="$ac_cpp conftest.$ac_ext"
10408case "(($ac_try" in 10614case "(($ac_try" in
10409 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10615 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10410 *) ac_try_echo=$ac_try;; 10616 *) ac_try_echo=$ac_try;;
10433echo "${ECHO_T}$ac_header_preproc" >&6; } 10639echo "${ECHO_T}$ac_header_preproc" >&6; }
10434 10640
10435# So? What about this header? 10641# So? What about this header?
10436case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10642case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10437 yes:no: ) 10643 yes:no: )
10438 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5 10644 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10439echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10645echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10440 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5 10646 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10441echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;} 10647echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10442 ac_header_preproc=yes 10648 ac_header_preproc=yes
10443 ;; 10649 ;;
10444 no:yes:* ) 10650 no:yes:* )
10445 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5 10651 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10446echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;} 10652echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10447 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5 10653 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10448echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;} 10654echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10449 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5 10655 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10450echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;} 10656echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10451 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5 10657 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10452echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;} 10658echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10453 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5 10659 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10454echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;} 10660echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10455 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5 10661 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10456echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;} 10662echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10457 10663
10458 ;; 10664 ;;
10459esac 10665esac
10460{ echo "$as_me:$LINENO: checking for utmpx.h" >&5 10666{ echo "$as_me:$LINENO: checking for $ac_header" >&5
10461echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10667echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10462if test "${ac_cv_header_utmpx_h+set}" = set; then 10668if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10463 echo $ECHO_N "(cached) $ECHO_C" >&6 10669 echo $ECHO_N "(cached) $ECHO_C" >&6
10464else 10670else
10465 ac_cv_header_utmpx_h=$ac_header_preproc 10671 eval "$as_ac_Header=\$ac_header_preproc"
10466fi 10672fi
10673ac_res=`eval echo '${'$as_ac_Header'}'`
10467{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10674 { echo "$as_me:$LINENO: result: $ac_res" >&5
10468echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10675echo "${ECHO_T}$ac_res" >&6; }
10469 10676
10470fi 10677fi
10471if test $ac_cv_header_utmpx_h = yes; then 10678if test `eval echo '${'$as_ac_Header'}'` = yes; then
10679 cat >>confdefs.h <<_ACEOF
10680#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10681_ACEOF
10472 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 10682 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
10473echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 10683echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
10474if test "${struct_utmpx+set}" = set; then 10684if test "${struct_utmpx+set}" = set; then
10475 echo $ECHO_N "(cached) $ECHO_C" >&6 10685 echo $ECHO_N "(cached) $ECHO_C" >&6
10476else 10686else
10477 cat >conftest.$ac_ext <<_ACEOF 10687 cat >conftest.$ac_ext <<_ACEOF
10644 10854
10645fi 10855fi
10646 10856
10647fi 10857fi
10648 10858
10859done
10649 10860
10650{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 10861{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
10651echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 10862echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
10652if test "${struct_lastlog+set}" = set; then 10863if test "${struct_lastlog+set}" = set; then
10653 echo $ECHO_N "(cached) $ECHO_C" >&6 10864 echo $ECHO_N "(cached) $ECHO_C" >&6
11224 11435
11225cat >>confdefs.h <<_ACEOF 11436cat >>confdefs.h <<_ACEOF
11226#define LASTLOG_FILE "$path_lastlog" 11437#define LASTLOG_FILE "$path_lastlog"
11227_ACEOF 11438_ACEOF
11228 11439
11229 if test -d "$path_lastlog"; then
11230
11231cat >>confdefs.h <<\_ACEOF
11232#define LASTLOG_IS_DIR 1
11233_ACEOF
11234
11235 fi
11236fi 11440fi
11237 11441
11238{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11442{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11239echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; } 11443echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; }
11240if test "${path_lastlogx+set}" = set; then 11444if test "${path_lastlogx+set}" = set; then
11322 11526
11323fi 11527fi
11324 11528
11325 11529
11326 11530
11327{ echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11328echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6; }
11329if test "${rxvt_cv_path_ttytab+set}" = set; then
11330 echo $ECHO_N "(cached) $ECHO_C" >&6
11331else
11332 for ttys_file in /etc/ttys /etc/ttytab;
11333do
11334 if test -f "$ttys_file" ; then
11335 rxvt_cv_path_ttytab=$ttys_file
11336 break
11337 fi
11338done
11339
11340fi
11341{ echo "$as_me:$LINENO: result: $rxvt_cv_path_ttytab" >&5
11342echo "${ECHO_T}$rxvt_cv_path_ttytab" >&6; }
11343if test x$rxvt_cv_path_ttytab != x; then
11344
11345cat >>confdefs.h <<_ACEOF
11346#define TTYTAB_FILENAME "$rxvt_cv_path_ttytab"
11347_ACEOF
11348
11349fi
11350
11351 11531
11352save_LIBS=$LIBS 11532save_LIBS=$LIBS
11353save_CFLAGS=$CFLAGS 11533save_CFLAGS=$CFLAGS
11354CFLAGS="$CFLAGS $X_CFLAGS" 11534CFLAGS="$CFLAGS $X_CFLAGS"
11355LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11535LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
12437echo "${ECHO_T}no" >&6; } 12617echo "${ECHO_T}no" >&6; }
12438fi 12618fi
12439 12619
12440 12620
12441 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then 12621 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12442 LIBS="$LIBS `$PKG_CONFIG xft --libs`" 12622 X_LIBS="`$PKG_CONFIG xft --libs` $X_LIBS"
12443 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`" 12623 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12444 else 12624 else
12445 # Extract the first word of "xft-config", so it can be a program name with args. 12625 # Extract the first word of "xft-config", so it can be a program name with args.
12446set dummy xft-config; ac_word=$2 12626set dummy xft-config; ac_word=$2
12447{ echo "$as_me:$LINENO: checking for $ac_word" >&5 12627{ echo "$as_me:$LINENO: checking for $ac_word" >&5
12482echo "${ECHO_T}no" >&6; } 12662echo "${ECHO_T}no" >&6; }
12483fi 12663fi
12484 12664
12485 12665
12486 if test $XFT_CONFIG != no; then 12666 if test $XFT_CONFIG != no; then
12487 LIBS="$LIBS `$XFT_CONFIG --libs`" 12667 X_LIBS="`$XFT_CONFIG --libs` $X_LIBS"
12488 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`" 12668 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12489 fi 12669 fi
12490 fi 12670 fi
12491 12671
12672 save_LIBS="$LIBS"
12673 LIBS="$LIBS $X_LIBS"
12492 12674
12493for ac_header in X11/Xft/Xft.h 12675for ac_header in X11/Xft/Xft.h
12494do 12676do
12495as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12677as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12496if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 12678if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
12629 support_xft=no 12811 support_xft=no
12630fi 12812fi
12631 12813
12632done 12814done
12633 12815
12634
12635{ echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5 12816 { echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5
12636echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; } 12817echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; }
12637if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then 12818if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then
12638 echo $ECHO_N "(cached) $ECHO_C" >&6 12819 echo $ECHO_N "(cached) $ECHO_C" >&6
12639else 12820else
12640 ac_check_lib_save_LIBS=$LIBS 12821 ac_check_lib_save_LIBS=$LIBS
12692LIBS=$ac_check_lib_save_LIBS 12873LIBS=$ac_check_lib_save_LIBS
12693fi 12874fi
12694{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5 12875{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5
12695echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; } 12876echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; }
12696if test $ac_cv_lib_Xft_XftDrawString32 = yes; then 12877if test $ac_cv_lib_Xft_XftDrawString32 = yes; then
12697 cat >>confdefs.h <<_ACEOF 12878 :
12698#define HAVE_LIBXFT 1
12699_ACEOF
12700
12701 LIBS="-lXft $LIBS"
12702
12703else 12879else
12704 support_xft=no 12880 support_xft=no
12705fi 12881fi
12706 12882
12883 LIBS="$save_LIBS"
12707 12884
12708 if test x$support_xft = xyes; then 12885 if test x$support_xft = xyes; then
12709 12886
12710cat >>confdefs.h <<\_ACEOF 12887cat >>confdefs.h <<\_ACEOF
12711#define XFT 1 12888#define XFT 1
13835host_cpu!$host_cpu$ac_delim 14012host_cpu!$host_cpu$ac_delim
13836host_vendor!$host_vendor$ac_delim 14013host_vendor!$host_vendor$ac_delim
13837host_os!$host_os$ac_delim 14014host_os!$host_os$ac_delim
13838VERSION!$VERSION$ac_delim 14015VERSION!$VERSION$ac_delim
13839DATE!$DATE$ac_delim 14016DATE!$DATE$ac_delim
13840LSMDATE!$LSMDATE$ac_delim
13841LIBVERSION!$LIBVERSION$ac_delim
13842CC!$CC$ac_delim 14017CC!$CC$ac_delim
13843CFLAGS!$CFLAGS$ac_delim 14018CFLAGS!$CFLAGS$ac_delim
13844LDFLAGS!$LDFLAGS$ac_delim 14019LDFLAGS!$LDFLAGS$ac_delim
13845CPPFLAGS!$CPPFLAGS$ac_delim 14020CPPFLAGS!$CPPFLAGS$ac_delim
13846ac_ct_CC!$ac_ct_CC$ac_delim 14021ac_ct_CC!$ac_ct_CC$ac_delim
13854INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 14029INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
13855INSTALL_DATA!$INSTALL_DATA$ac_delim 14030INSTALL_DATA!$INSTALL_DATA$ac_delim
13856GREP!$GREP$ac_delim 14031GREP!$GREP$ac_delim
13857EGREP!$EGREP$ac_delim 14032EGREP!$EGREP$ac_delim
13858LINKER!$LINKER$ac_delim 14033LINKER!$LINKER$ac_delim
13859INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
13860RXVTNAME!$RXVTNAME$ac_delim 14034RXVTNAME!$RXVTNAME$ac_delim
14035CXXCPP!$CXXCPP$ac_delim
13861TIC!$TIC$ac_delim 14036TIC!$TIC$ac_delim
13862XMKMF!$XMKMF$ac_delim 14037XMKMF!$XMKMF$ac_delim
13863CXXCPP!$CXXCPP$ac_delim
13864X_CFLAGS!$X_CFLAGS$ac_delim 14038X_CFLAGS!$X_CFLAGS$ac_delim
13865X_PRE_LIBS!$X_PRE_LIBS$ac_delim 14039X_PRE_LIBS!$X_PRE_LIBS$ac_delim
13866X_LIBS!$X_LIBS$ac_delim 14040X_LIBS!$X_LIBS$ac_delim
13867X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 14041X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
13868afterimage_config!$afterimage_config$ac_delim 14042afterimage_config!$afterimage_config$ac_delim
13885include_stdint_h!$include_stdint_h$ac_delim 14059include_stdint_h!$include_stdint_h$ac_delim
13886include_stdarg_h!$include_stdarg_h$ac_delim 14060include_stdarg_h!$include_stdarg_h$ac_delim
13887include_stdlib_h!$include_stdlib_h$ac_delim 14061include_stdlib_h!$include_stdlib_h$ac_delim
13888include_unistd_h!$include_unistd_h$ac_delim 14062include_unistd_h!$include_unistd_h$ac_delim
13889include_string_h!$include_string_h$ac_delim 14063include_string_h!$include_string_h$ac_delim
14064include_fcntl_h!$include_fcntl_h$ac_delim
14065include_util_h!$include_util_h$ac_delim
14066include_assert_h!$include_assert_h$ac_delim
13890_ACEOF 14067_ACEOF
13891 14068
13892 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 14069 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
13893 break 14070 break
13894 elif $ac_last_try; then 14071 elif $ac_last_try; then
13926 14103
13927 14104
13928ac_delim='%!_!# ' 14105ac_delim='%!_!# '
13929for ac_last_try in false false false false false :; do 14106for ac_last_try in false false false false false :; do
13930 cat >conf$$subs.sed <<_ACEOF 14107 cat >conf$$subs.sed <<_ACEOF
13931include_fcntl_h!$include_fcntl_h$ac_delim
13932include_util_h!$include_util_h$ac_delim
13933include_assert_h!$include_assert_h$ac_delim
13934include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 14108include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
13935include_sys_select_h!$include_sys_select_h$ac_delim 14109include_sys_select_h!$include_sys_select_h$ac_delim
13936include_sys_strredir_h!$include_sys_strredir_h$ac_delim 14110include_sys_strredir_h!$include_sys_strredir_h$ac_delim
13937include_sys_time_h!$include_sys_time_h$ac_delim 14111include_sys_time_h!$include_sys_time_h$ac_delim
13938include_time_h!$include_time_h$ac_delim 14112include_time_h!$include_time_h$ac_delim
13939LIBOBJS!$LIBOBJS$ac_delim 14113LIBOBJS!$LIBOBJS$ac_delim
13940LTLIBOBJS!$LTLIBOBJS$ac_delim 14114LTLIBOBJS!$LTLIBOBJS$ac_delim
13941_ACEOF 14115_ACEOF
13942 14116
13943 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then 14117 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 7; then
13944 break 14118 break
13945 elif $ac_last_try; then 14119 elif $ac_last_try; then
13946 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 14120 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
13947echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 14121echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
13948 { (exit 1); exit 1; }; } 14122 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines